Page MenuHomePhabricator

Setup WikidataPageBanner extension repository on Gerrit
Closed, ResolvedPublic

Description

Before any code can be written this needs to happen.
See https://www.mediawiki.org/wiki/Gerrit/New_repositories for guidance.

The first commit should introduce a non-functional boilerplate https://www.mediawiki.org/wiki/Extension:BoilerPlate

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: good first bug.
Jdlrobson set Security to None.
Jdlrobson added subscribers: Sushrutsg, Andyrom75, Danapit and 16 others.
Jdlrobson assigned this task to Sumit.Mar 26 2015, 4:42 PM
Sumit added a comment.Mar 27 2015, 4:54 PM

Request for new gerrit repository for wikidata pagebanner extension can be tracked at the bottom of the table here:
https://www.mediawiki.org/wiki/Git/New_repositories/Requests
Current status is "pending"

Sumit added a comment.EditedMar 30 2015, 4:08 PM

The repository for wikidata pagebanner extension has been created and initialized with extension:BoilerPlate
See https://git.wikimedia.org/tree/mediawiki%2Fextensions%2FWikidataPageBanner.git
Shall this task be closed?
@Jdlrobson ,also, do we need to also look into the permissions on the repository, or are they automatically inherited from core?

Change 201270 had a related patch set uploaded (by Sumit):
README Changed

https://gerrit.wikimedia.org/r/201270

Jdlrobson closed this task as Resolved.Apr 1 2015, 10:21 PM

Looks good to me. Thanks a bunch! :)

Change 201270 merged by Jdlrobson:
README Changed

https://gerrit.wikimedia.org/r/201270